Bug 429432 - kde-window-decorator Crash
kde-window-decorator Crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 17:17 EST by Tomas Toth
Modified: 2009-01-09 02:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash back-trace (3.53 KB, text/plain)
2008-01-19 17:17 EST, Tomas Toth
no flags Details
Crash back-trace (3.53 KB, text/plain)
2008-01-19 17:19 EST, Tomas Toth
no flags Details
kde-window-decorator.kcrash (3.53 KB, text/plain)
2008-06-13 07:10 EDT, Chris Schembari
no flags Details

  None (edit)
Description Tomas Toth 2008-01-19 17:17:39 EST
Description of problem:
kde-window-decorator Crashes quite often. The window borders and their title
bars disappear. Last time it crashed during Amarok start up - the last two crashes.
It is not a critical crash, as 
 > compiz-manager --replace &
restores the original state and the running application are not effected otherwise.

Version-Release number of selected component (if applicable):
My Fedora-8 is up-to-date:
compiz.x86_64                            0.6.2-3.fc8            installed
compiz-gnome.x86_64                      0.6.2-3.fc8            installed
compiz-kde.x86_64                        0.6.2-3.fc8            installed
compiz-manager.noarch                    0.6.0-4.fc8            installed
kicker-compiz.x86_64                     3.5.4-4.fc8            installed
libcompizconfig.x86_64                   0.6.0-3.fc8            installed


How reproducible:
It happens while launching application Amarok, but probably also some others.
It does not happen always, just sporadically.

Steps to Reproduce:
Launch Amarok - not always - sporadically.
  
Actual results:
kde-window-decorator crash with SIGSEGV, 11.


Expected results:
No crash.


Additional info:
I am using nVidia video driver from Livna.org :
kmod-nvidia.x86_64                       169.07-1.lvn8          installed
kmod-nvidia-2.6.23.9-85.fc8.x86_64       169.07-1.lvn8          installed
xorg-x11-drv-nvidia.x86_64               169.07-4.lvn8          installed
I am not sure if it is related.

See also attached back-traces from the last two crashes:
kde-win-decor-crash-01.log
kde-win-decor-crash-02.log

I found some similar entries in BugZilla, but they were related to
gnome-window-dekorator, thus I decided to create a new entry.

Thanks.
Comment 1 Tomas Toth 2008-01-19 17:17:39 EST
Created attachment 292276 [details]
Crash back-trace
Comment 2 Tomas Toth 2008-01-19 17:19:22 EST
Created attachment 292277 [details]
Crash back-trace
Comment 3 Chris Schembari 2008-06-13 07:10:44 EDT
Created attachment 309191 [details]
kde-window-decorator.kcrash

I'm having the same problem: sporadic kde-window-decorator crashes with an
x86-64 box and an nvidia driver from livna.  Some differences in the packages
installed, though, namely:
compiz-0.6.2-3.fc8
compiz-gnome-0.6.2-3.fc8
compiz-kde-0.6.2-3.fc8
compiz-manager-0.6.0-4.fc8
package kicker-compiz is not installed
libcompizconfig-0.6.0-3.fc8
kmod-nvidia-173.14.05-2.lvn8
xorg-x11-drv-nvidia-173.14.05-1.lvn8

I guess that rules out kicker-compiz as the culprit!
Comment 4 Bug Zapper 2008-11-26 04:29:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:36:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.